%global srcname colcon-spawn-shell

Name:           python-%{srcname}
Version:        0.3.0
Release:    1%{?dist}
Summary:        Source colcon workspaces in a new shell

License:        ASL 2.0
URL:            https://github.com/colcon/colcon-spawn-shell
Source0:        https://github.com/colcon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a colcon plugin to chain workspaces in new shells. It allows quickly
un-chaining workspaces by exiting the spawned shell.

The shell's prompt is edited to show the workspace order. The only supported
shell is bash.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools >= 30.3.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-colcon-core >= 0.12.0
Requires:       python%{python3_pkgversion}-colcon-bash >= 0.3.0
%endif

%description -n python%{python3_pkgversion}-%{srcname}
This is a colcon plugin to chain workspaces in new shells. It allows quickly
un-chaining workspaces by exiting the spawned shell.

The shell's prompt is edited to show the workspace order. The only supported
shell is bash.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/colcon_spawn_shell/
%{python3_sitelib}/colcon_spawn_shell-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.0-1
- initial build
